diff -c -w "ls-lisp-CVS-2008-02-29.el" "ls-lisp-patched-2008-03-04a.el"
*** ls-lisp-CVS-2008-02-29.el	Fri Feb 29 14:58:50 2008
--- ls-lisp-patched-2008-03-04a.el	Tue Mar  4 14:03:20 2008
***************
*** 260,276 ****
  		  file switches (ls-lisp-time-index switches)
  		  nil full-directory-p))
  	     (signal (car err) (cdr err)))))
- 	;; Try to insert the amount of free space.
  	(save-excursion
  	  (goto-char (point-min))
! 	  ;; First find the line to put it on.
! 	  (when (re-search-forward "^total" nil t)
! 	    (let ((available (get-free-disk-space ".")))
! 	      (when available
! 		;; Replace "total" with "total used", to avoid confusion.
! 		(replace-match "total used in directory")
! 		(end-of-line)
! 		(insert " available " available)))))))))
  
  (defun ls-lisp-insert-directory
    (file switches time-index wildcard-regexp full-directory-p)
--- 260,298 ----
  		  file switches (ls-lisp-time-index switches)
  		  nil full-directory-p))
  	     (signal (car err) (cdr err)))))
  	(save-excursion
  	  (goto-char (point-min))
! 	  (while (re-search-forward "^total" nil t)
!             (beginning-of-line)
!             (insert "files " (number-to-string (save-match-data
!                                                  (count-dired-files)))
!                     "/" (number-to-string
!                          (- (length (directory-files default-directory
!                                                      nil nil t)) 2))
!                     " ")
!             (goto-char (point-min))
!             (re-search-forward "^files [0-9]+/[0-9]+ \\(total\\)" nil t)
!             (replace-match "space used" nil nil nil 1)
!             (let ((available (and (fboundp 'get-free-disk-space)
!                                   (get-free-disk-space ".")))
!                   (map (make-sparse-keymap)))
!               (define-key map [mouse-2]
!                 'dired-mouse-describe-listed-directory)
!               (define-key map "\r" 'dired-describe-listed-directory)
!               (when available (end-of-line) (insert " available "
!                                                     available))
!               (add-text-properties
!                (save-excursion (beginning-of-line) (+ 2 (point)))
!                (1- (match-beginning 1))
!                `(mouse-face highlight keymap ,map
!                  help-echo "Files shown / total files in directory \
! \[RET, mouse-2: more info]"))
!               (add-text-properties
!                (match-beginning 1)
!                (save-excursion (end-of-line) (point))
!                `(mouse-face highlight keymap ,map
!                  help-echo "Kbytes used in directory, Kbytes \
! available on disk [RET, mouse-2: more info]")))))))))
  
  (defun ls-lisp-insert-directory
    (file switches time-index wildcard-regexp full-directory-p)
